petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatTransColoringApplySpToDen

Given a symbolic matrix product C=A*B^T for which a MatTransposeColoring context has been created, computes a dense B^T by Apply MatTransposeColoring to sparse B.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatTransColoringApplySpToDen(MatTransposeColoring coloring,Mat B,Mat Btdense)

Collective on MatTransposeColoring Many br

### Input Parameters

| B | - sparse matrix B Many br
| Btdense | - symbolic dense matrix B^T Many br
| coloring | - coloring context created with MatTransposeColoringCreate() Many br

### Output Parameter

Btdense -dense matrix B^T Many br

### Options Database Keys

| -mat_transpose_coloring_view | - Activates basic viewing or coloring Many br
| -mat_transpose_coloring_view_draw | - Activates drawing of coloring Many br
| -mat_transpose_coloring_view_info | - Activates viewing of coloring info Many br

Many br

### See Also

MatTransposeColoringCreate(), MatTransposeColoringDestroy()

### Keywords

coloring

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages